# Class DefaultCoverageResult

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractResult
DefaultCoverageResult

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `CoverageResult`, `Result`

public class DefaultCoverageResult extends AbstractResult implements CoverageResult
Result of a data quality measure organising the measured values as a coverage. The following properties are mandatory or conditional in a well-formed metadata according ISO 19157:
`DQ_CoverageResult` `├─spatialRepresentationType……………………` Method used to spatially represent the coverage result. `├─resultSpatialRepresentation………………` Digital representation of data quality measures composing the coverage result. `├─resultContent……………………………………………………` Description of the content of the result coverage, i.e. semantic definition of the data quality measures. `├─resultFormat………………………………………………………` Information about the format of the result coverage data. `│ └─formatSpecificationCitation……` Citation/URL of the specification format. `│ ├─title……………………………………………………` Name by which the cited resource is known. `│ └─date………………………………………………………` Reference date for the cited resource. `└─resultFile……………………………………………………………` Information about the data file containing the result coverage data. `└─fileFormat…………………………………………………` Defines the format of the transfer data file.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCoverageResult()`
  Constructs an initially empty coverage result.
  `DefaultCoverageResult(CoverageResult object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultCoverageResult`
  `castOrCopy(CoverageResult object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `Collection<RangeDimension>`
  `getResultContent()`
  Provides the description of the content of the result coverage.
  `CoverageDescription`
  `getResultContentDescription()`
  Deprecated.
  Replaced by `getResultContent()`.
  `DataFile`
  `getResultFile()`
  Returns the information about the data file containing the result coverage data.
  `Format`
  `getResultFormat()`
  Returns the information about the format of the result coverage data.
  `SpatialRepresentation`
  `getResultSpatialRepresentation()`
  Returns the digital representation of data quality measures composing the coverage result.
  `SpatialRepresentationType`
  `getSpatialRepresentationType()`
  Returns the method used to spatially represent the coverage result.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setResultContent(Collection<RangeDimension> newValues)`
  Sets the description of the content of the result coverage.
  `void`
  `setResultContentDescription(CoverageDescription newValue)`
  Deprecated.
  Replaced by `setResultContent(Collection)`.
  `void`
  `setResultFile(DataFile newValue)`
  Sets the information about the data file containing the result coverage data.
  `void`
  `setResultFormat(Format newValue)`
  Sets the information about the format of the result coverage data.
  `void`
  `setResultSpatialRepresentation(SpatialRepresentation newValue)`
  Sets the digital representation of data quality measures composing the coverage result.
  `void`
  `setSpatialRepresentationType(SpatialRepresentationType newValue)`
  Sets the method used to spatially represent the coverage result.

  ### Methods inherited from class AbstractResult

  `castOrCopy, getDateTime, getResultScope, setDateTime, setResultScope`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCoverageResult

    public DefaultCoverageResult()
    Constructs an initially empty coverage result.

  - ### DefaultCoverageResult

    public DefaultCoverageResult(CoverageResult object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(CoverageResult)`

- ## Method Details

  - ### castOrCopy

    public static DefaultCoverageResult castOrCopy(CoverageResult object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultCoverageResult`, then it is returned unchanged.
    - Otherwise a new `DefaultCoverageResult` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getSpatialRepresentationType

    public SpatialRepresentationType getSpatialRepresentationType()
    Returns the method used to spatially represent the coverage result.
    Specified by:
      `getSpatialRepresentationType` in interface `CoverageResult`
    Returns:
      spatial representation of the coverage result.

  - ### setSpatialRepresentationType

    public void setSpatialRepresentationType(SpatialRepresentationType newValue)
    Sets the method used to spatially represent the coverage result.
    Parameters:
      `newValue` - the new spatial representation type value.

  - ### getResultSpatialRepresentation

    public SpatialRepresentation getResultSpatialRepresentation()
    Returns the digital representation of data quality measures composing the coverage result.
    Specified by:
      `getResultSpatialRepresentation` in interface `CoverageResult`
    Returns:
      digital representation of data quality measures composing the coverage result.

  - ### setResultSpatialRepresentation

    public void setResultSpatialRepresentation(SpatialRepresentation newValue)
    Sets the digital representation of data quality measures composing the coverage result.
    Parameters:
      `newValue` - the new spatial representation value.

  - ### getResultContent

    @UML(identifier="resultContent", obligation=CONDITIONAL, specification=UNSPECIFIED) public Collection<RangeDimension> getResultContent()
    Provides the description of the content of the result coverage. This is the semantic definition of the data quality measures.
    Returns:
      description of the content of the result coverage.
    Since:
      1.3

  - ### setResultContent

    public void setResultContent(Collection<RangeDimension> newValues)
    Sets the description of the content of the result coverage.
    Parameters:
      `newValues` - the new descriptions.
    Since:
      1.3

  - ### getResultContentDescription

    @Deprecated(since="1.3") public CoverageDescription getResultContentDescription()
    Deprecated.
    Replaced by `getResultContent()`.
    Returns the description of the content of the result coverage, i.e. semantic definition of the data quality measures.
    Specified by:
      `getResultContentDescription` in interface `CoverageResult`
    Returns:
      description of the content of the result coverage, or `null`.

  - ### setResultContentDescription

    @Deprecated(since="1.3") public void setResultContentDescription(CoverageDescription newValue)
    Deprecated.
    Replaced by `setResultContent(Collection)`.
    Sets the description of the content of the result coverage, i.e. semantic definition of the data quality measures.
    Parameters:
      `newValue` - the new content description value.

  - ### getResultFormat

    public Format getResultFormat()
    Returns the information about the format of the result coverage data.
    Specified by:
      `getResultFormat` in interface `CoverageResult`
    Returns:
      format of the result coverage data, or `null`.

  - ### setResultFormat

    public void setResultFormat(Format newValue)
    Sets the information about the format of the result coverage data.
    Parameters:
      `newValue` - the new result format value.

  - ### getResultFile

    public DataFile getResultFile()
    Returns the information about the data file containing the result coverage data.
    Specified by:
      `getResultFile` in interface `CoverageResult`
    Returns:
      data file containing the result coverage data, or `null`.

  - ### setResultFile

    public void setResultFile(DataFile newValue)
    Sets the information about the data file containing the result coverage data.
    Parameters:
      `newValue` - the new result file value.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.